ConfigurableConverter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.converters
[Groovy] Interface ConfigurableConverter

    org.codehaus.groovy.grails.web.converters.Converter
      org.codehaus.groovy.grails.web.converters.ConfigurableConverter

All Superinterfaces:
  Converter

    interface ConfigurableConverter
    extends Converter

Interface for converters that can be configured at runtime

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from interface Converter
DEFAULT_REQUEST_ENCODING

Method Summary
`java.util.List` | `getExcludes(java.lang.Class type)` Gets the excludes for the given type
`java.util.List` | `getIncludes(java.lang.Class type)` Gets the includes for the given type
`void` | `setContentType(java.lang.String contentType)` Sets the content type of the converter
`void` | `setEncoding(java.lang.String encoding)` Sets the encoding of the converter
`void` | `setExcludes(java.lang.Class type, java.util.List properties)` Set to exclude properties for the given type
`void` | `setIncludes(java.lang.Class type, java.util.List properties)` Set to include properties for the given type

Methods inherited from interface Converter
build, convertAnother, getWriter, lookupObjectMarshaller, render, render

Method Detail

### getExcludes

    java.util.List getExcludes(java.lang.Class type)

  Gets the excludes for the given type
  Parameters:
    `type` - The type
  Returns:
    The excludes

### getIncludes

    java.util.List getIncludes(java.lang.Class type)

  Gets the includes for the given type
  Parameters:
    `type` - The type
  Returns:
    The includes

### setContentType

    void setContentType(java.lang.String contentType)

  Sets the content type of the converter
  Parameters:
    `contentType` - The content type

### setEncoding

    void setEncoding(java.lang.String encoding)

  Sets the encoding of the converter
  Parameters:
    `encoding` - The encoding

### setExcludes

    void setExcludes(java.lang.Class type, java.util.List properties)

  Set to exclude properties for the given type
  Parameters:
    `type` - The type
    `properties` - The properties

### setIncludes

    void setIncludes(java.lang.Class type, java.util.List properties)

  Set to include properties for the given type
  Parameters:
    `type` - The type
    `properties` - The properties

Groovy Documentation